import type { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * Repository owner.
     */
    owner: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * Repository name.
     */
    repo: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * The branch to use for the edit link.
     */
    branch: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * A base directory to append to the source path.
     *
     * Won't be used if `page` is set.
     */
    dir: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * Source file path.
     *
     * Won't be used if `page` is set.
     */
    source: {
        type: StringConstructor;
        required: false;
        default: any;
    };
    /**
     * Use page from @nuxt/content.
     */
    page: {
        type: PropType<any>;
        required: false;
        default: any;
    };
    /**
     * Content directory (to be used with `page`)
     */
    contentDir: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Send to an edit page or not.
     */
    edit: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}, {
    url: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Repository owner.
     */
    owner: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * Repository name.
     */
    repo: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * The branch to use for the edit link.
     */
    branch: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * A base directory to append to the source path.
     *
     * Won't be used if `page` is set.
     */
    dir: {
        type: StringConstructor;
        default: () => any;
        required: false;
    };
    /**
     * Source file path.
     *
     * Won't be used if `page` is set.
     */
    source: {
        type: StringConstructor;
        required: false;
        default: any;
    };
    /**
     * Use page from @nuxt/content.
     */
    page: {
        type: PropType<any>;
        required: false;
        default: any;
    };
    /**
     * Content directory (to be used with `page`)
     */
    contentDir: {
        type: StringConstructor;
        required: false;
        default: string;
    };
    /**
     * Send to an edit page or not.
     */
    edit: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>>, {
    source: string;
    owner: string;
    repo: string;
    branch: string;
    dir: string;
    page: any;
    contentDir: string;
    edit: boolean;
}>;
export default _default;
